<html>
<head>
<title>Ogre::D3D9RenderSystem::sD3DTextureStageDesc Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9RenderSystem.html">D3D9RenderSystem</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html">sD3DTextureStageDesc</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9RenderSystem::sD3DTextureStageDesc Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9RenderSystem::sD3DTextureStageDesc" -->
<p>structure holding texture unit settings for every stage  
 <a href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#details">More...</a></p>

<p><a href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">D3D9Mappings::eD3DTexType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a04fcb76a11cde3a9c592fc021163c3ee">texType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">the type of the texture  <a href="#a04fcb76a11cde3a9c592fc021163c3ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a61a7972b660c1497dc6c9c6b0b8e8060">coordIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">which texCoordIndex to use  <a href="#a61a7972b660c1497dc6c9c6b0b8e8060"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31">TexCoordCalcMethod</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a56f4463f0332ba653be960f0afff44b8">autoTexCoordType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">type of auto tex. calc. used  <a href="#a56f4463f0332ba653be960f0afff44b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a7d3850326cf1a52917bba20f8d592c88">frustum</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>, used if the above is projection.  <a href="#a7d3850326cf1a52917bba20f8d592c88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DBaseTexture9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#aca49e2f37bea2bf0292fdd56c3b7fc8c">pTex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">texture  <a href="#aca49e2f37bea2bf0292fdd56c3b7fc8c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DBaseTexture9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a444ce6ff42d453b743107f41ab7bb07a">pVertexTex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">vertex texture  <a href="#a444ce6ff42d453b743107f41ab7bb07a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>structure holding texture unit settings for every stage </p>

<p>Definition at line <a class="el" href="OgreD3D9RenderSystem_8h_source.html#l00084">84</a> of file <a class="el" href="OgreD3D9RenderSystem_8h_source.html">OgreD3D9RenderSystem.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a56f4463f0332ba653be960f0afff44b8"></a><!-- doxytag: member="Ogre::D3D9RenderSystem::sD3DTextureStageDesc::autoTexCoordType" ref="a56f4463f0332ba653be960f0afff44b8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31">TexCoordCalcMethod</a> <a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a56f4463f0332ba653be960f0afff44b8">Ogre::D3D9RenderSystem::sD3DTextureStageDesc::autoTexCoordType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>type of auto tex. calc. used </p>

<p>Definition at line <a class="el" href="OgreD3D9RenderSystem_8h_source.html#l00091">91</a> of file <a class="el" href="OgreD3D9RenderSystem_8h_source.html">OgreD3D9RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a61a7972b660c1497dc6c9c6b0b8e8060"></a><!-- doxytag: member="Ogre::D3D9RenderSystem::sD3DTextureStageDesc::coordIndex" ref="a61a7972b660c1497dc6c9c6b0b8e8060" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a61a7972b660c1497dc6c9c6b0b8e8060">Ogre::D3D9RenderSystem::sD3DTextureStageDesc::coordIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>which texCoordIndex to use </p>

<p>Definition at line <a class="el" href="OgreD3D9RenderSystem_8h_source.html#l00089">89</a> of file <a class="el" href="OgreD3D9RenderSystem_8h_source.html">OgreD3D9RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7d3850326cf1a52917bba20f8d592c88"></a><!-- doxytag: member="Ogre::D3D9RenderSystem::sD3DTextureStageDesc::frustum" ref="a7d3850326cf1a52917bba20f8d592c88" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a>* <a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a7d3850326cf1a52917bba20f8d592c88">Ogre::D3D9RenderSystem::sD3DTextureStageDesc::frustum</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>, used if the above is projection. </p>

<p>Definition at line <a class="el" href="OgreD3D9RenderSystem_8h_source.html#l00093">93</a> of file <a class="el" href="OgreD3D9RenderSystem_8h_source.html">OgreD3D9RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="aca49e2f37bea2bf0292fdd56c3b7fc8c"></a><!-- doxytag: member="Ogre::D3D9RenderSystem::sD3DTextureStageDesc::pTex" ref="aca49e2f37bea2bf0292fdd56c3b7fc8c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DBaseTexture9* <a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#aca49e2f37bea2bf0292fdd56c3b7fc8c">Ogre::D3D9RenderSystem::sD3DTextureStageDesc::pTex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>texture </p>

<p>Definition at line <a class="el" href="OgreD3D9RenderSystem_8h_source.html#l00095">95</a> of file <a class="el" href="OgreD3D9RenderSystem_8h_source.html">OgreD3D9RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a444ce6ff42d453b743107f41ab7bb07a"></a><!-- doxytag: member="Ogre::D3D9RenderSystem::sD3DTextureStageDesc::pVertexTex" ref="a444ce6ff42d453b743107f41ab7bb07a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DBaseTexture9* <a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a444ce6ff42d453b743107f41ab7bb07a">Ogre::D3D9RenderSystem::sD3DTextureStageDesc::pVertexTex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>vertex texture </p>

<p>Definition at line <a class="el" href="OgreD3D9RenderSystem_8h_source.html#l00097">97</a> of file <a class="el" href="OgreD3D9RenderSystem_8h_source.html">OgreD3D9RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04fcb76a11cde3a9c592fc021163c3ee"></a><!-- doxytag: member="Ogre::D3D9RenderSystem::sD3DTextureStageDesc::texType" ref="a04fcb76a11cde3a9c592fc021163c3ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">D3D9Mappings::eD3DTexType</a> <a class="el" href="structOgre_1_1D3D9RenderSystem_1_1sD3DTextureStageDesc.html#a04fcb76a11cde3a9c592fc021163c3ee">Ogre::D3D9RenderSystem::sD3DTextureStageDesc::texType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>the type of the texture </p>

<p>Definition at line <a class="el" href="OgreD3D9RenderSystem_8h_source.html#l00087">87</a> of file <a class="el" href="OgreD3D9RenderSystem_8h_source.html">OgreD3D9RenderSystem.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9RenderSystem_8h_source.html">OgreD3D9RenderSystem.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:16
</p>
</body>
</html>
